<!DOCTYPE html>
<html>
  <head>
  <meta charset="UTF-8">
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
      google.charts.load('current', {'packages':['corechart']});
      google.charts.setOnLoadCallback(drawChart);

      function drawChart() {
        //실제 화면에서 그려지는 부분
        var aryData =[ //배열안에 배열
			           ['부서', '인원현황'],  //데이터에 대한 설명
       				 ];
        
    	  fetch('chart.do')
    	  	.then(result => result.json())
    	  	.then(data => {
    	  			console.log(data)
    	  			for(let item of data){    	  				
    	  				aryData.push([item.departmentName, item.memberCnt]);
    	  			}
				console.log(aryData)
		        var data = google.visualization.arrayToDataTable(aryData);
		
		        var options = {
		          title: '부서별 인원 현황'
		        };
		
		        var chart = new google.visualization.PieChart(document.getElementById('piechart'));
		
		        chart.draw(data, options);
		        //catch안에 다 넣어준다. (try catch구분 벗어나면 선언한 변수 없어짐)
    	  	})
    	  	.catch(err => console.log(err))
    	  
      }
    </script>
  </head>
  <body>
    <div id="piechart" style="width: 900px; height: 500px;"></div>
  </body>
</html>